<template>
  <layout-box title="单体容量">
    <div class="flex-box">
      <div class="flex-box-body">
        <circle-chart id="circleChart" ref="circleChart"></circle-chart>
      </div>
      <div class="flex-box-footer">
        <ul class="list-view">
          <li v-for="item in chart.circle" :key="item.name" class="list-view-item">
            <span class="item-name">{{item.name}}</span>
            :
            <span class="item-value" :style="{'color':item.color}">{{item.value}}</span>
          </li>
        </ul>
      </div>
    </div>
  </layout-box>
</template>

<script>
import LayoutBox from "@/components/LayoutBox";
import CircleChart from "@/components/charts/CircleChart";
export default {
  name: "MonCap",
  components: {CircleChart, LayoutBox},
  data() {
    return {
      chart: {
        circle: [
          {
            name: '低告警数量',
            value: 380,
            color: '#00DFFC',
          },
          {
            name: '告警总数比例',
            value: 180,
            color: '#FF8B34',
          },
          {
            name: '告警总数',
            value: 180,
            color: '#ED4882',
          },
          {
            name: '告警机房总数',
            value: 280,
            color: '#2EEA9D',
          },
          {
            name: '告警机房数比例',
            value: 70,
            color: '#F3E501',
          }
        ]
      }
    }
  },
  mounted() {
    this.$refs.circleChart.setData(this.chart.circle);
  }
}
</script>

<style scoped>

.flex-box {
  display: flex;
  height: 100%;
  align-items: center;
}
.flex-box-body {
  flex:1;
  height: 100%;
}
.flex-box-footer {
  padding:0 8px;
}
.list-view li {
  list-style: none;
}
.list-view-item {
  white-space: nowrap;
  padding: 8px 0;
}
</style>